import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional()
}).strict();
export const AiSettingsSumAggregateInputObjectSchema: z.ZodType<Prisma.AiSettingsSumAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.AiSettingsSumAggregateInputType>;
export const AiSettingsSumAggregateInputObjectZodSchema = makeSchema();
